Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[kde-testing] and [kde-crazy] KDE4 overlays thread (part 4)
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4 ... 36, 37, 38  Next  
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
cruzki123
Apprentice
Apprentice


Joined: 16 May 2008
Posts: 233

PostPosted: Fri Jul 10, 2009 12:49 pm    Post subject: Reply with quote

I'm having problems with dolphin while copy or move files. Sometimes they are renamed with the full path (changed / with ?) or by the previous name they have.

Another problem is with fish. I can conect and navigate through the directory tree but when I try to copy or move an conection error ocurs and only 4kb are copied / moved.

Any idea?[/list]
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2767
Location: Gainesville, Florida

PostPosted: Fri Jul 10, 2009 5:52 pm    Post subject: Reply with quote

Problems ith kdebase-live blocks:
Code:
[blocks B     ] =kde-base/plasma-workspace-9999[-kdeprefix] ("=kde-base/plasma-workspace-9999[-kdeprefix]" is blocking kde-base/libknotificationitem-9999)

After a normal emerge @kdedeps-live, with libknotificationitem-9999 as 9 of ten packages, when I do emerge @kdebase-live I get the above blocks, after removing both items.

Before I removed them, I got the following, which explains it somewhat, but doesn't seem to solve the problem.
Code:

[blocks B     ] =kde-base/plasma-workspace-9999[-kdeprefix] ("=kde-base/plasma-workspace-9999[-kdeprefix]" is blocking kde-base/libknotificationitem-9999)

Total: 77 packages (1 downgrade, 76 reinstalls), Size of downloads: 0 kB
Conflict: 1 block (1 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/kde-testing

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'kde-base/libknotificationitem-9999', 'nomerge') pulled in by
    >=kde-base/libknotificationitem-9999:live[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-9999', 'nomerge')

  ('ebuild', '/', 'kde-base/plasma-workspace-9999', 'merge') pulled in by
    kde-base/plasma-workspace:live required by @kdebase-live
    >=kde-base/plasma-workspace-9999:live[-kdeprefix] required by ('ebuild', '/', 'kde-base/kdebase-startkde-9999', 'merge')

Is this a known issue, or is something wrong on my system? Am I missing something very obvious? All three packages are required, and kdebase-live fails on nepomuk, because it needs libknotificationitem, but plasma-workspace blocks libknotificationitem. :?

UPDATE: OK- Removing the overlay and re-acquiring it, then rebuilding @kdedeps-live again first fixed the problems with @kdebase-live, although there were no related overlay updates since I sync'd the first time today a few hours before I had problems. Still don't understand precisely how it resolved itself. :roll:
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.16.1-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
skunk
Guru
Guru


Joined: 28 May 2003
Posts: 581
Location: granada, spain

PostPosted: Sun Jul 12, 2009 11:48 am    Post subject: kde-misc/networkmanager-applet-9999 fails Reply with quote

kde-misc/networkmanager-applet-9999 fails to build since some weeks:
Code:
Scanning dependencies of target networkmanagement_openvpnui                                                                   
[ 83%] Building CXX object backends/NetworkManager/CMakeFiles/knm_nm.dir/connectiondbus.o                                     
[ 83%] Building CXX object vpnplugins/openvpn/CMakeFiles/networkmanagement_openvpnui.dir/networkmanagement_openvpnui_automoc.o
Linking CXX shared module ../../lib/kcm_networkmanagement.so                                                                   
/usr/lib/gcc/x86_64-pc-linux-gnu/4.3.3/../../../../x86_64-pc-linux-gnu/bin/ld: cannot find -lknmdbus                           
collect2: ld returned 1 exit status                                                                                           
make[2]: *** [lib/kcm_networkmanagement.so] Error 1                                                                           
make[1]: *** [settings/config/CMakeFiles/kcm_networkmanagement.dir/all] Error 2                                               
make[1]: *** Waiting for unfinished jobs....

i'm running kde-4.2.96, qt-4.5.2, networkmanager-0.7.1-r6, networkmanager-openvpn-0.7.1...
Back to top
View user's profile Send private message
wrc1944
Advocate
Advocate


Joined: 15 Aug 2002
Posts: 2767
Location: Gainesville, Florida

PostPosted: Sun Jul 12, 2009 1:44 pm    Post subject: Reply with quote

I was curious, so I googled around on this type of error, and found:
Quote:
It could be that the library does not exist in the lookup path, or anywhere else.
It's a generic error. Usually caused by undefined reference to a symbol.

Sometimes I've resolved stuff like this by adjusting my ldflag settings, and/or rebuilding or updating some of the stuff mentioned just before the errors.

Do you have openvpn installed? Maybe rebuild it, especially if it wasn't rebuilt after a kdelibs and/or qt rebuild? Or, rebuild any dbus stuff you have installed? Check the versions of all this stuff- maybe it now requires a newer patched version of some related package? I'm really no expert- it's really hard to say what could be causing this problem. For me, it's usually trial and error, unless someone who actually knows what they are doing helps me out here on this forum. :roll: Did you check at http://bugs.gentoo.org/
_________________
Main box- Gigabyte GIGABYTE GA-990FXA-UD3 AM3+ rev.-4.0
Amd FX 8320, 3.5 GHz, 16GB GSkill DDR3 1866mhz
Samsung SATA 1000GB, Radeon HD 6570 2GB DDR3
Gentoo ~x86, ~amd64, glibc-2.19, gcc-4.9.0, kernel 3.16.1-gentoo (USE=experimental "native")
Back to top
View user's profile Send private message
Krog
Apprentice
Apprentice


Joined: 26 Jun 2007
Posts: 256
Location: Roma, Italy

PostPosted: Sun Jul 12, 2009 2:12 pm    Post subject: Reply with quote

cruzki123 wrote:
I'm having problems with dolphin while copy or move files. Sometimes they are renamed with the full path (changed / with ?) or by the previous name they have.


i've seen this little bug, but only once
Back to top
View user's profile Send private message
skunk
Guru
Guru


Joined: 28 May 2003
Posts: 581
Location: granada, spain

PostPosted: Sun Jul 12, 2009 2:26 pm    Post subject: Reply with quote

wrc1944 wrote:
I was curious, so I googled around on this type of error, and found:
Quote:
It could be that the library does not exist in the lookup path, or anywhere else.
It's a generic error. Usually caused by undefined reference to a symbol.

Sometimes I've resolved stuff like this by adjusting my ldflag settings, and/or rebuilding or updating some of the stuff mentioned just before the errors.

Do you have openvpn installed? Maybe rebuild it, especially if it wasn't rebuilt after a kdelibs and/or qt rebuild? Or, rebuild any dbus stuff you have installed? Check the versions of all this stuff- maybe it now requires a newer patched version of some related package? I'm really no expert- it's really hard to say what could be causing this problem. For me, it's usually trial and error, unless someone who actually knows what they are doing helps me out here on this forum. :roll: Did you check at http://bugs.gentoo.org/


i don't have custom ldflags and rebuilding dbus, openvpn, networkmanager, networkmanager-openvpn didn't help...
curiously googling "lknmdbus" just returns one result about the very same issue posted by a guy from brasil...
Back to top
View user's profile Send private message
rahulthewall
Veteran
Veteran


Joined: 01 Nov 2007
Posts: 1264
Location: Zürich

PostPosted: Tue Jul 14, 2009 3:56 pm    Post subject: Reply with quote

fancytaks-0.9.1.ebuild. Tested on my system - could we please add it to the overlay.

Code:

googly fancytasks # cat fancytasks-0.9.1.ebuild
# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="2"

inherit kde4-base

DESCRIPTION="KDE plasmoid. Fancy representation of your tasks and launchers"
HOMEPAGE="http://www.kde-look.org/content/show.php/Fancy+Tasks?content=99737"
SRC_URI="http://www.kde-look.org/CONTENT/content-files/99737-${P}.tar.bz2"

LICENSE="GPL-2"
KEYWORDS="~amd64 ~x86"
SLOT="0"
IUSE="debug"

RDEPEND="
!kde-plasmoids/fancytasks
        >=kde-base/plasma-workspace-${KDE_MINIMAL}
"


Plus, I have done nothing on this - just changed the stasks ebuild. :)
_________________
Who shall guard the guards?
Back to top
View user's profile Send private message
Krog
Apprentice
Apprentice


Joined: 26 Jun 2007
Posts: 256
Location: Roma, Italy

PostPosted: Tue Jul 14, 2009 5:40 pm    Post subject: Reply with quote

someone is able to use system-config-printer-kde without errors?
Back to top
View user's profile Send private message
Krog
Apprentice
Apprentice


Joined: 26 Jun 2007
Posts: 256
Location: Roma, Italy

PostPosted: Tue Jul 14, 2009 5:42 pm    Post subject: Reply with quote

update:

Code:
krog@krogpc ~ $ printer-applet
Traceback (most recent call last):
  File "/usr/bin/printer-applet", line 1162, in <module>
    applet = JobManager()
  File "/usr/bin/printer-applet", line 297, in __init__
    notification = NewPrinterNotification(bus, self)
  File "/usr/bin/printer-applet", line 1050, in __init__
    bus_name = dbus.service.BusName (PDS_OBJ, bus=bus)
  File "/usr/lib64/python2.5/site-packages/dbus/service.py", line 129, in __new__
    retval = bus.request_name(name, name_flags)
  File "/usr/lib64/python2.5/site-packages/dbus/bus.py", line 306, in request_name
    'su', (name, flags))
  File "/usr/lib64/python2.5/site-packages/dbus/connection.py", line 607, in call_blocking
    message, timeout)
dbus.exceptions.DBusException: org.freedesktop.DBus.Error.AccessDenied: Connection ":1.23" is not allowed to own the service "com.redhat.NewPrinterNotification" due to security policies in the configuration file


what's the problem?
Back to top
View user's profile Send private message
Finswimmer
Moderator
Moderator


Joined: 02 Sep 2004
Posts: 5388
Location: Langen (Hessen), Germany

PostPosted: Fri Jul 17, 2009 12:34 pm    Post subject: Reply with quote

Hello,
I want to emerge 4.3.60, but:

Code:
tobi-lap ~ # emerge kdelibs:4.4 -av1

 * IMPORTANT: 2 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.                         


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     U ] kde-base/oxygen-icons-4.3.9999 [4.2.96] USE="(-kdeprefix)" 0 kB [1]
[ebuild  NS   ] kde-base/oxygen-icons-4.3.60 [4.2.96] USE="(-kdeprefix)" 75,293 kB [1]
[ebuild     U ] kde-base/kdelibs-4.3.9999 [4.2.96] USE="acl alsa bzip2 fam handbook jpeg2k mmx nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -doc (-kdeprefix) -kerberos -openexr -test -zeroconf" 0 kB [1]                                   
[ebuild     U ] kde-base/libknotificationitem-4.3.9999 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                   
[ebuild     U ] kde-base/kde-env-4.3.9999 [4.2.96] USE="(-aqua) (-kdeprefix)" 0 kB [1]                                                       
[ebuild     U ] kde-base/kdebase-data-4.3.9999 [4.2.96] USE="(-aqua) (-kdeprefix)" 0 kB [1]                                                 
[ebuild  NS   ] kde-base/libknotificationitem-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 26 kB [1]                                   
[ebuild  NS   ] kde-base/kde-env-4.3.60 [4.2.96] USE="(-aqua) (-kdeprefix)" 0 kB [1]                                                         
[ebuild  NS   ] kde-base/kdebase-data-4.3.60 [4.2.96] USE="(-aqua) (-kdeprefix)" 6,648 kB [1]                                               
[ebuild  NS   ] kde-base/kdelibs-4.3.60 [4.2.96] USE="acl alsa bzip2 fam handbook jpeg2k mmx nls opengl semantic-desktop spell sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -doc (-kdeprefix) -kerberos -openexr -test -zeroconf" 8,703 kB [1]                                 
[blocks B     ] kde-base/libknotificationitem:4.4[-kdeprefix] ("kde-base/libknotificationitem:4.4[-kdeprefix]" is blocking kde-base/libknotificationitem-4.3.9999)                                                                                                                       
[blocks B     ] kde-base/libknotificationitem:4.3[-kdeprefix] ("kde-base/libknotificationitem:4.3[-kdeprefix]" is blocking kde-base/libknotificationitem-4.3.60)                                                                                                                         
[blocks B     ] kde-base/kdebase-data:4.4[-kdeprefix] ("kde-base/kdebase-data:4.4[-kdeprefix]" is blocking kde-base/kdebase-data-4.3.9999)   
[blocks B     ] kde-base/oxygen-icons:4.4[-kdeprefix] ("kde-base/oxygen-icons:4.4[-kdeprefix]" is blocking kde-base/oxygen-icons-4.2.96, kde-base/oxygen-icons-4.3.9999)                                                                                                                 
[blocks B     ] kde-base/kde-env:4.4[-kdeprefix] ("kde-base/kde-env:4.4[-kdeprefix]" is blocking kde-base/kde-env-4.3.9999)                 
[blocks B     ] kde-base/kdelibs:4.3[-kdeprefix] ("kde-base/kdelibs:4.3[-kdeprefix]" is blocking kde-base/kdelibs-4.3.60)                   
[blocks B     ] kde-base/kdelibs:4.4[-kdeprefix] ("kde-base/kdelibs:4.4[-kdeprefix]" is blocking kde-base/kdelibs-4.3.9999)                 
[blocks B     ] kde-base/kde-env:4.3[-kdeprefix] ("kde-base/kde-env:4.3[-kdeprefix]" is blocking kde-base/kde-env-4.3.60)                   
[blocks B     ] kde-base/oxygen-icons:4.3[-kdeprefix] ("kde-base/oxygen-icons:4.3[-kdeprefix]" is blocking kde-base/oxygen-icons-4.3.60)     
[blocks B     ] kde-base/kdebase-data:4.3[-kdeprefix] ("kde-base/kdebase-data:4.3[-kdeprefix]" is blocking kde-base/kdebase-data-4.3.60)     

Total: 10 packages (5 upgrades, 5 in new slots), Size of downloads: 90,668 kB
Conflict: 10 blocks (10 unsatisfied)
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/local/portage/layman/kde-testing

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'kde-base/kdelibs-4.3.60', 'merge') pulled in by
    kdelibs:4.4


As I see: 4.3.9999 does not have a keyword, but 4.3.60 does.
I think 4.3999 must be "harder" masked than 4.3.60?

Tobi
_________________
Bitte auf Rechtschreibung, korrekte Formatierung und Höflichkeit achten!
Danke
Back to top
View user's profile Send private message
kdvgent
Guru
Guru


Joined: 29 Sep 2004
Posts: 301
Location: Belgium

PostPosted: Sun Jul 19, 2009 7:21 am    Post subject: kcontactmanager-4.3.60 does not build Reply with quote

Updating to kde-4.3.60 snapshot - kcontactmanager does not build:
Quote:
>>> Install kcontactmanager-4.3.60 into /var/tmp/portage/kde-base/kcontactmanager-4.3.60/image/ category kde-base
>>> Working in BUILD_DIR: "/var/tmp/portage/kde-base/kcontactmanager-4.3.60/work/kcontactmanager-4.3.60_build"
make -j5 install DESTDIR=/var/tmp/portage/kde-base/kcontactmanager-4.3.60/image/
make: *** No rule to make target `install'. Stop.
Back to top
View user's profile Send private message
kdvgent
Guru
Guru


Joined: 29 Sep 2004
Posts: 301
Location: Belgium

PostPosted: Sun Jul 19, 2009 7:56 am    Post subject: Another 4.360 problem - "Failed to determine KDEDIR& Reply with quote

After updating to kde-4.3.60, a number of extra-applications do not build anymore. Typical error message:
Quote:
Emerging (1 of 1) kde-misc/yakuake-2.9.6
Unavailable repository 'gentoo' referenced by masters entry in '/usr/local/portage/layman/kde-testing/metadata/layout.conf'
* yakuake-2.9.6.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
*
* ERROR: kde-misc/yakuake-2.9.6 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* ebuild.sh, line 1273: Called kde4-base_pkg_setup
* kde4-base.eclass, line 432: Called die
* The specific snippet of code:
* [[ -z ${KDEDIR} ]] && die "Failed to determine KDEDIR!"
* The die message:
* Failed to determine KDEDIR!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-misc/yakuake-2.9.6/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-misc/yakuake-2.9.6/temp/die.env'.
*

The same is true for taglib-extras (needed by amarok), gtk-engines-qt, krusader and kipi-plugins. All these built fine with kde-4.2.96 yesterday.
Back to top
View user's profile Send private message
kdvgent
Guru
Guru


Joined: 29 Sep 2004
Posts: 301
Location: Belgium

PostPosted: Sun Jul 19, 2009 8:10 am    Post subject: And also digikam no longer build against kde-4.3.60 Reply with quote

Error message:
Quote:
[ 96%] Building CXX object imageplugins/superimpose/CMakeFiles/digikamimageplugin_superimpose.dir/imageplugin_superimpose.o
[ 96%] Building CXX object imageplugins/superimpose/CMakeFiles/digikamimageplugin_superimpose.dir/superimposetool.o
Linking CXX shared module ../../lib/digikamimageplugin_superimpose.so
CMakeFiles/digikamimageplugin_superimpose.dir/superimposewidget.o: In function `DigikamSuperImposeImagesPlugin::SuperImposeWidget::slotSetCurrentTemplate(KUrl const&)':
superimposewidget.cpp:(.text+0xa7c): undefined reference to `KDcrawIface::RawDecodingSettings::RawDecodingSettings()'
superimposewidget.cpp:(.text+0xbfb): undefined reference to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()'
superimposewidget.cpp:(.text+0xe1d): undefined reference to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()'
superimposewidget.cpp:(.text+0xe3c): undefined reference to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()'
CMakeFiles/digikamimageplugin_superimpose.dir/superimposewidget.o: In function `Digikam::DRawDecoding::~DRawDecoding()':
superimposewidget.cpp:(.text._ZN7Digikam12DRawDecodingD0Ev[Digikam::DRawDecoding::~DRawDecoding()]+0x51): undefined reference to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()'
superimposewidget.cpp:(.text._ZN7Digikam12DRawDecodingD0Ev[Digikam::DRawDecoding::~DRawDecoding()]+0x72): undefined reference to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()'
CMakeFiles/digikamimageplugin_superimpose.dir/superimposewidget.o:superimposewidget.cpp:(.text._ZN7Digikam12DRawDecodingD1Ev[Digikam::DRawDecoding::~DRawDecoding()]+0x6a): more undefined references to `KDcrawIface::RawDecodingSettings::~RawDecodingSettings()' follow
CMakeFiles/digikamimageplugin_superimpose.dir/superimposewidget.o:(.data.rel.ro._ZTIN7Digikam12DRawDecodingE[typeinfo for Digikam::DRawDecoding]+0x10): undefined reference to `typeinfo for KDcrawIface::RawDecodingSettings'
collect2: ld returned 1 exit status
make[2]: *** [lib/digikamimageplugin_superimpose.so] Error 1
make[1]: *** [imageplugins/superimpose/CMakeFiles/digikamimageplugin_superimpose.dir/all] Error 2
make: *** [all] Error 2
*
* ERROR: media-gfx/digikam-1.0.0_beta1 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3276: Called kde4-base_src_compile
* environment, line 2469: Called cmake-utils_src_compile
* environment, line 817: Called cmake-utils_src_make
* environment, line 896: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
* The die message:
* Make failed!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/media-gfx/digikam-1.0.0_beta1/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-gfx/digikam-1.0.0_beta1/temp/environment'.
* This ebuild used the following eclasses from overlays:
* /usr/local/portage/layman/kde-testing/eclass/kde4-base.eclass
* /usr/local/portage/layman/kde-testing/eclass/kde4-functions.eclass
* This ebuild is from an overlay named 'kde': '/usr/local/portage/layman/kde-testing/'
*

Again, worked fine against kde-4.96 yesterday
Back to top
View user's profile Send private message
fekepp
n00b
n00b


Joined: 14 Feb 2008
Posts: 3

PostPosted: Sun Jul 19, 2009 3:36 pm    Post subject: Re: Another 4.360 problem - "Failed to determine KDEDIR Reply with quote

kdvgent wrote:
After updating to kde-4.3.60, a number of extra-applications do not build anymore. Typical error message:
Quote:
Emerging (1 of 1) kde-misc/yakuake-2.9.6
Unavailable repository 'gentoo' referenced by masters entry in '/usr/local/portage/layman/kde-testing/metadata/layout.conf'
* yakuake-2.9.6.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
*
* ERROR: kde-misc/yakuake-2.9.6 failed.
* Call stack:
* ebuild.sh, line 49: Called pkg_setup
* ebuild.sh, line 1273: Called kde4-base_pkg_setup
* kde4-base.eclass, line 432: Called die
* The specific snippet of code:
* [[ -z ${KDEDIR} ]] && die "Failed to determine KDEDIR!"
* The die message:
* Failed to determine KDEDIR!
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/kde-misc/yakuake-2.9.6/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-misc/yakuake-2.9.6/temp/die.env'.
*

The same is true for taglib-extras (needed by amarok), gtk-engines-qt, krusader and kipi-plugins. All these built fine with kde-4.2.96 yesterday.


Same here for me... "Failed to determine KDEDIR" e.g. with media-libs/taglib-extras-0.1.3 (kde use flag, for amarok) or dev-util/kdesvn-1.3.1
Back to top
View user's profile Send private message
fekepp
n00b
n00b


Joined: 14 Feb 2008
Posts: 3

PostPosted: Mon Jul 20, 2009 1:40 pm    Post subject: Reply with quote

any ideas?
Back to top
View user's profile Send private message
marcus84
Tux's lil' helper
Tux's lil' helper


Joined: 23 Apr 2008
Posts: 87

PostPosted: Tue Jul 21, 2009 7:37 am    Post subject: Reply with quote

in kde-4.4 I get colisions between kde-base/kdeplasma-addons-4.3.60 and kde-base/kalzium-4.3.60:


Detected file collision(s):
*
* /usr/lib64/libconversion.so.4.3.0
* /usr/share/apps/cmake/modules/FindConversion.cmake
* /usr/include/conversion/value.h
* /usr/include/conversion/unitcategory.h
* /usr/include/conversion/plasmaconversion_export.h
* /usr/include/conversion/converter.h
* /usr/include/conversion/unit.h
* /usr/lib64/libconversion.so
* /usr/lib64/libconversion.so.4
*
* Searching all installed packages for file collisions...
*
* Press Ctrl-C to Stop
*
* kde-base/kalzium-4.3.60
* /usr/include/conversion/converter.h
* /usr/include/conversion/plasmaconversion_export.h
* /usr/include/conversion/unit.h
* /usr/include/conversion/unitcategory.h
* /usr/include/conversion/value.h
* /usr/lib64/libconversion.so
* /usr/lib64/libconversion.so.4
* /usr/lib64/libconversion.so.4.3.0
* /usr/share/apps/cmake/modules/FindConversion.cmake


Any idea?
Back to top
View user's profile Send private message
scarabeus
Developer
Developer


Joined: 25 Oct 2008
Posts: 95
Location: Europe/Prague

PostPosted: Tue Jul 21, 2009 2:31 pm    Post subject: Re: Another 4.360 problem - "Failed to determine KDEDIR Reply with quote

fekepp wrote:
kdvgent wrote:
After updating to kde-4.3.60, a number of extra-applications do not build anymore.
The same is true for taglib-extras (needed by amarok), gtk-engines-qt, krusader and kipi-plugins. All these built fine with kde-4.2.96 yesterday.


Same here for me... "Failed to determine KDEDIR" e.g. with media-libs/taglib-extras-0.1.3 (kde use flag, for amarok) or dev-util/kdesvn-1.3.1


This looks like eclass regression :]

BUT after bit investigation this is portage feature called eclass overriding. Overlay ebuilds are fine, but you have to specify that you want kde-testing eclasses to override the in-tree ones.

This can be done by adding this to /etc/portage/repos.conf:
[DEFAULT]
eclass-overrides = kde
Back to top
View user's profile Send private message
wired_
Developer
Developer


Joined: 13 Feb 2009
Posts: 15
Location: Athens, Greece

PostPosted: Tue Jul 21, 2009 2:33 pm    Post subject: portage-2.2, overlays, overriding eclasses Reply with quote

just a friendly reminder, some errors could be the result of your portage not using the overlay's eclasses (if you're using portage-2.2)

for example, the KDEDIRS issue with KDE 4.3.60 exists because of that

to tell portage to use the kde-testing overlay’s eclasses [if any], create the file:
/etc/portage/repos.conf

with the following content:

Code:
[gentoo]
eclass-overrides = kde


for more information:
Overlays and >=portage-2.2_rc29 – what to do when overlay stuff breaks only for you
Gentoo Bug #265747

edit: scarabeus, you cheater! =]
_________________
Alex Alexander
wired @ gentoo
stupid _ in forum nick because someone else has wired
Back to top
View user's profile Send private message
Krog
Apprentice
Apprentice


Joined: 26 Jun 2007
Posts: 256
Location: Roma, Italy

PostPosted: Tue Jul 21, 2009 3:36 pm    Post subject: Reply with quote

trying to upgrade from 4.2.96 to 4.3.60:
Code:

krogpc krog # emerge -auDv --newuse world


These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U ] dev-libs/soprano-9999 [2.3.0] USE="clucene dbus java raptor redland -debug -doc" 0 kB [1]
[ebuild  NS   ] kde-base/oxygen-icons-4.3.60 [4.2.96] USE="(-kdeprefix)" 75,293 kB [1]                                                                                                                         
[ebuild  NS   ] kde-base/kdelibs-4.3.60 [3.5.10-r6, 4.2.96] USE="3dnow acl alsa bzip2 fam handbook jpeg2k mmx nls opengl semantic-desktop spell sse sse2 ssl zeroconf (-altivec) (-aqua) -bindist -debug -doc (-kdeprefix) -kerberos -openexr -test" 8,703 kB [1]                                                                                                                                                             
[ebuild  NS   ] kde-base/libknotificationitem-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 26 kB [1]                                                                                                     
[ebuild  NS   ] kde-base/kde-env-4.3.60 [4.2.96] USE="(-aqua) (-kdeprefix)" 0 kB [1]                                                                                                                           
[ebuild  NS   ] kde-base/kdebase-data-4.3.60 [4.2.96] USE="(-aqua) (-kdeprefix)" 6,648 kB [1]                                                                                                                 
[ebuild  NS   ] kde-base/kdepimlibs-4.3.60 [4.2.96] USE="handbook ldap (-aqua) -debug (-kdeprefix) -test" 1,466 kB [1]                                                                                         
[ebuild  NS   ] kde-base/libkworkspace-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 59,586 kB [1]                                                                                                         
[ebuild  NS   ] kde-base/libkonq-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix) -test" 3,747 kB [1]                                                                                                         
[ebuild  NS   ] kde-base/nepomuk-4.3.60 [4.2.96] USE="handbook (-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                           
[ebuild  NS   ] kde-base/libkipi-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 3,264 kB [1]                                                                                                               
[ebuild  NS   ] kde-base/libkexiv2-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                                 
[ebuild  NS   ] kde-base/libksane-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                                   
[ebuild  NS   ] kde-base/kde-l10n-4.3.60 [4.2.96] USE="(-aqua) -handbook (-kdeprefix)" LINGUAS="it -af -ar -be -bg -bn -bn_IN -br -ca -cs -csb -cy -da -de -el -en_GB -eo -es -et -eu -fa -fi -fr -fy -ga -gl -gu -he -hi -hr -hsb -hu -hy -is -ja -ka -kk -km -kn -ko -ku -lb -lt -lv -mk -ml -ms -mt -nb -nds -ne -nl -nn -nso -oc -pa -pl -pt -pt_BR -ro -ru -rw -se -sk -sl -sr -sv -ta -te -tg -th -tr -uk -uz -vi -wa -xh -zh_CN -zh_HK -zh_TW" 10,233 kB [1]                                                                                                                                                                         
[ebuild  NS   ] kde-base/kdnssd-4.3.60 [4.2.96] USE="zeroconf (-aqua) -debug (-kdeprefix)" 6,214 kB [1]                                                                                                       
[ebuild  NS   ] kde-base/kdenetwork-filesharing-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                     
[ebuild  NS   ] kde-base/krdc-4.3.60 [4.2.96] USE="handbook jpeg vnc zeroconf (-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                           
[ebuild  NS   ] kde-base/kopete-4.3.60-r1 [4.2.96-r1] USE="addbookmarks autoreplace contactnotes handbook highlight history jabber msn nowlistening oscar pipes ssl statistics texteffect urlpicpreview v4l2 (-aqua) -bonjour -debug -gadu -groupwise (-kdeprefix) -latex -meanwhile -otr -privacy -qq -skype -testbed -translator -webpresence -winpopup -yahoo" 0 kB [1]                                                   
[ebuild  NS   ] kde-base/kget-4.3.60 [4.2.96] USE="handbook plasma semantic-desktop (-aqua) -bittorrent-external -debug (-kdeprefix) -sqlite" 0 kB [1]                                                         
[ebuild  NS   ] kde-base/krfb-4.3.60 [4.2.96] USE="handbook zeroconf (-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                     
[ebuild  NS   ] kde-base/knewstuff-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                                 
[uninstall    ] kde-base/knewstuff-4.2.96  USE="(-aqua) -debug (-kdeprefix)"  [1]                                                                                                                             
[blocks b     ] kde-base/knewstuff:4.4[-kdeprefix] ("kde-base/knewstuff:4.4[-kdeprefix]" is blocking kde-base/knewstuff-4.2.96)                                                                               
[blocks b     ] kde-base/knewstuff:4.3[-kdeprefix] ("kde-base/knewstuff:4.3[-kdeprefix]" is blocking kde-base/knewstuff-4.3.60)                                                                               
[ebuild  NS   ] kde-base/kdegraphics-strigi-analyzer-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                               
[uninstall    ] kde-base/kdegraphics-strigi-analyzer-4.2.96  USE="(-aqua) -debug (-kdeprefix)"  [1]                                                                                                           
[blocks b     ] kde-base/kdegraphics-strigi-analyzer:4.3[-kdeprefix] ("kde-base/kdegraphics-strigi-analyzer:4.3[-kdeprefix]" is blocking kde-base/kdegraphics-strigi-analyzer-4.3.60)                         
[blocks b     ] kde-base/kdegraphics-strigi-analyzer:4.4[-kdeprefix] ("kde-base/kdegraphics-strigi-analyzer:4.4[-kdeprefix]" is blocking kde-base/kdegraphics-strigi-analyzer-4.2.96)                         
[ebuild  NS   ] kde-base/krosspython-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 3,812 kB [1]                                                                                                           
[uninstall    ] kde-base/krosspython-4.2.96  USE="(-aqua) -debug (-kdeprefix)"  [1]                                                                                                                           
[blocks b     ] kde-base/krosspython:4.3[-kdeprefix] ("kde-base/krosspython:4.3[-kdeprefix]" is blocking kde-base/krosspython-4.3.60)                                                                         
[blocks b     ] kde-base/krosspython:4.4[-kdeprefix] ("kde-base/krosspython:4.4[-kdeprefix]" is blocking kde-base/krosspython-4.2.96)                                                                         
[ebuild  NS   ] kde-base/kdesu-4.3.60 [4.2.96] USE="handbook (-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                             
[uninstall    ] kde-base/kdesu-4.2.96  USE="handbook (-aqua) -debug (-kdeprefix)"  [1]                                                                                                                         
[blocks b     ] kde-base/kdesu:4.4[-kdeprefix] ("kde-base/kdesu:4.4[-kdeprefix]" is blocking kde-base/kdesu-4.2.96)                                                                                           
[blocks b     ] kde-base/kdesu:4.3[-kdeprefix] ("kde-base/kdesu:4.3[-kdeprefix]" is blocking kde-base/kdesu-4.3.60)                                                                                           
[ebuild  NS   ] kde-base/solid-hardware-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                             
[uninstall    ] kde-base/solid-hardware-4.2.96  USE="(-aqua) -debug (-kdeprefix)"  [1]                                                                                                                         
[blocks b     ] kde-base/solid-hardware:4.3[-kdeprefix] ("kde-base/solid-hardware:4.3[-kdeprefix]" is blocking kde-base/solid-hardware-4.3.60)                                                                 
[blocks b     ] kde-base/solid-hardware:4.4[-kdeprefix] ("kde-base/solid-hardware:4.4[-kdeprefix]" is blocking kde-base/solid-hardware-4.2.96)                                                                 
[ebuild  NS   ] kde-base/kioclient-4.3.60 [4.2.96] USE="(-aqua) -debug (-kdeprefix)" 0 kB [1]                                                                                                                 
[uninstall    ] kde-base/kioclient-4.2.96  USE="(-aqua) -debug (-kdeprefix)"  [1]                                                                                                                             
[blocks b     ] kde-base/kioclient:4.4[-kdeprefix] ("kde-base/kioclient:4.4[-kdeprefix]" is blocking kde-base/kioclient-4.2.96)                                                                               
[blocks b     ] kde-base/kioclient:4.3[-kdeprefix] ("kde-base/kioclient:4.3[-kdeprefix]" is blocking kde-base/kioclient-4.3.60)       






(VERY BIG LIST HERE)






[blocks B     ] kde-base/nepomuk:4.4[-kdeprefix] ("kde-base/nepomuk:4.4[-kdeprefix]" is blocking kde-base/nepomuk-4.2.96)                                                                                     
[blocks B     ] kde-base/krdc:4.4[-kdeprefix] ("kde-base/krdc:4.4[-kdeprefix]" is blocking kde-base/krdc-4.2.96)                                                                                               
[blocks B     ] kde-base/kdepimlibs:4.3[-kdeprefix] ("kde-base/kdepimlibs:4.3[-kdeprefix]" is blocking kde-base/kdepimlibs-4.3.60)                                                                             
[blocks B     ] kde-base/kdenetwork-filesharing:4.4[-kdeprefix] ("kde-base/kdenetwork-filesharing:4.4[-kdeprefix]" is blocking kde-base/kdenetwork-filesharing-4.2.96)                                         
[blocks B     ] kde-base/krfb:4.4[-kdeprefix] ("kde-base/krfb:4.4[-kdeprefix]" is blocking kde-base/krfb-4.2.96)                                                                                               
[blocks B     ] kde-base/kget:4.3[-kdeprefix] ("kde-base/kget:4.3[-kdeprefix]" is blocking kde-base/kget-4.3.60)                                                                                               
[blocks B     ] kde-base/kdenetwork-filesharing:4.3[-kdeprefix] ("kde-base/kdenetwork-filesharing:4.3[-kdeprefix]" is blocking kde-base/kdenetwork-filesharing-4.3.60)                                         
[blocks B     ] kde-base/kde-env:4.4[-kdeprefix] ("kde-base/kde-env:4.4[-kdeprefix]" is blocking kde-base/kde-env-4.2.96)                                                                                     
[blocks B     ] kde-base/libksane:4.3[-kdeprefix] ("kde-base/libksane:4.3[-kdeprefix]" is blocking kde-base/libksane-4.3.60)                                                                                   
[blocks B     ] kde-base/libkworkspace:4.4[-kdeprefix] ("kde-base/libkworkspace:4.4[-kdeprefix]" is blocking kde-base/libkworkspace-4.2.96)                                                                   
[blocks B     ] kde-base/libkipi:4.4[-kdeprefix] ("kde-base/libkipi:4.4[-kdeprefix]" is blocking kde-base/libkipi-4.2.96)                                                                                     
[blocks B     ] kde-base/krdc:4.3[-kdeprefix] ("kde-base/krdc:4.3[-kdeprefix]" is blocking kde-base/krdc-4.3.60)                                                                                               
[blocks B     ] kde-base/libknotificationitem:4.4[-kdeprefix] ("kde-base/libknotificationitem:4.4[-kdeprefix]" is blocking kde-base/libknotificationitem-4.2.96)                                               
[blocks B     ] kde-base/libksane:4.4[-kdeprefix] ("kde-base/libksane:4.4[-kdeprefix]" is blocking kde-base/libksane-4.2.96)                                                                                   
[blocks B     ] kde-base/kdepimlibs:4.4[-kdeprefix] ("kde-base/kdepimlibs:4.4[-kdeprefix]" is blocking kde-base/kdepimlibs-4.2.96)                                                                             
[blocks B     ] kde-base/libkexiv2:4.4[-kdeprefix] ("kde-base/libkexiv2:4.4[-kdeprefix]" is blocking kde-base/libkexiv2-4.2.96)                                                                               
[blocks B     ] kde-base/libkonq:4.3[-kdeprefix] ("kde-base/libkonq:4.3[-kdeprefix]" is blocking kde-base/libkonq-4.3.60)                                                                                     
[blocks B     ] kde-base/libkworkspace:4.3[-kdeprefix] ("kde-base/libkworkspace:4.3[-kdeprefix]" is blocking kde-base/libkworkspace-4.3.60)                                                                   
[blocks B     ] kde-base/krfb:4.3[-kdeprefix] ("kde-base/krfb:4.3[-kdeprefix]" is blocking kde-base/krfb-4.3.60)                                                                                               
[blocks B     ] kde-base/kdelibs:4.4[-kdeprefix] ("kde-base/kdelibs:4.4[-kdeprefix]" is blocking kde-base/kdelibs-4.2.96)                                                                                     
[blocks B     ] kde-base/kde-l10n:4.4[-kdeprefix] ("kde-base/kde-l10n:4.4[-kdeprefix]" is blocking kde-base/kde-l10n-4.2.96)                                                                                   
[blocks B     ] kde-base/nepomuk:4.3[-kdeprefix] ("kde-base/nepomuk:4.3[-kdeprefix]" is blocking kde-base/nepomuk-4.3.60)                                                                                     
[blocks B     ] kde-base/kdnssd:4.4[-kdeprefix] ("kde-base/kdnssd:4.4[-kdeprefix]" is blocking kde-base/kdnssd-4.2.96)                                                                                         
[blocks B     ] kde-base/libkexiv2:4.3[-kdeprefix] ("kde-base/libkexiv2:4.3[-kdeprefix]" is blocking kde-base/libkexiv2-4.3.60)                                                                               
[blocks B     ] kde-base/kde-l10n:4.3[-kdeprefix] ("kde-base/kde-l10n:4.3[-kdeprefix]" is blocking kde-base/kde-l10n-4.3.60)                                                                                   
[blocks B     ] kde-base/oxygen-icons:4.3[-kdeprefix] ("kde-base/oxygen-icons:4.3[-kdeprefix]" is blocking kde-base/oxygen-icons-4.3.60)                                                                       
[blocks B     ] kde-base/libkipi:4.3[-kdeprefix] ("kde-base/libkipi:4.3[-kdeprefix]" is blocking kde-base/libkipi-4.3.60)                                                                                     
[blocks B     ] kde-base/kopete:4.4[-kdeprefix] ("kde-base/kopete:4.4[-kdeprefix]" is blocking kde-base/kopete-4.2.96-r1)






(VERY BIG LIST HERE)






Total: 129 packages (1 upgrade, 128 in new slots, 109 uninstalls), Size of downloads: 364,597 kB
Conflict: 257 blocks (38 unsatisfied)                                                           
Portage tree and overlays:                                                                     
 [0] /usr/portage                                                                               
 [1] /usr/local/portage/layman/kde-testing                                                     

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.                 

  ('installed', '/', 'kde-base/kde-l10n-4.2.96', 'nomerge') pulled in by
    kde-base/kde-l10n:4.3 required by @world                           

  ('installed', '/', 'kde-base/oxygen-icons-4.2.96', 'nomerge') pulled in by
    >=kde-base/oxygen-icons-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdebase-data-4.2.96', 'nomerge')
    kde-base/oxygen-icons:4.3 required by @world                                                                           

  ('installed', '/', 'kde-base/kdepimlibs-4.2.96', 'nomerge') pulled in by
    >=kde-base/kdepimlibs-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kget-4.2.96', 'nomerge')
    kde-base/kdepimlibs:4.3 required by @world                                                                   
    >=kde-base/kdepimlibs-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kppp-4.2.96', 'nomerge')
    (and 5 more)                                                                                                 

  ('installed', '/', 'kde-base/libkipi-4.2.96', 'nomerge') pulled in by
    kde-base/libkipi required by @world                               
    kde-base/libkipi:4.3 required by @world                           

  ('ebuild', '/', 'kde-base/kopete-4.3.60-r1', 'merge') pulled in by
    kde-base/kopete required by @world                             

  ('installed', '/', 'kde-base/kde-env-4.2.96', 'nomerge') pulled in by
    >=kde-base/kde-env-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.96', 'nomerge')
    kde-base/kde-env:4.3 required by @world                                                                       

  ('installed', '/', 'kde-base/libkexiv2-4.2.96', 'nomerge') pulled in by
    kde-base/libkexiv2:4.3 required by @world                           

  ('installed', '/', 'kde-base/kget-4.2.96', 'nomerge') pulled in by
    kde-base/kget:4.3 required by @world                           

  ('installed', '/', 'kde-base/kdebase-data-4.2.96', 'nomerge') pulled in by
    kde-base/kdebase-data:4.3 required by @world                           
    >=kde-base/kdebase-data-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.96', 'nomerge')

  ('ebuild', '/', 'kde-base/libkonq-4.3.60', 'merge') pulled in by
    >=kde-base/libkonq-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/dolphin-4.3.60', 'merge')
    >=kde-base/libkonq-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/keditbookmarks-4.3.60', 'merge')
    >=kde-base/libkonq-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/ark-4.3.60', 'merge')           
    (and 4 more)                                                                                                   

  ('ebuild', '/', 'kde-base/libkipi-4.3.60', 'merge') pulled in by
    kde-base/libkipi required by @world                           
    >=kde-base/libkipi-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/gwenview-4.3.60', 'merge')
    >=kde-base/libkipi-4.2 required by ('installed', '/', 'media-plugins/kipi-plugins-0.4.0', 'nomerge')     
    (and 1 more)                                                                                             

  ('installed', '/', 'kde-base/kopete-4.2.96-r1', 'nomerge') pulled in by
    kde-base/kopete:4.3 required by @world                               

  ('ebuild', '/', 'kde-base/kdelibs-4.3.60', 'merge') pulled in by
    >=kde-base/kdelibs-4.3.60:4.4[semantic-desktop,-kdeprefix] required by ('ebuild', '/', 'kde-base/kmail-4.3.60', 'merge')
    >=kde-base/kdelibs-4.3.60[-kdeprefix] required by ('ebuild', '/', 'kde-base/kwallet-4.3.60', 'merge')                   
    >=kde-base/kdelibs-4.3.60[-kdeprefix] required by ('ebuild', '/', 'kde-base/knotes-4.3.60', 'merge')                   
    (and 168 more)                                                                                                         

  ('ebuild', '/', 'kde-base/libksane-4.3.60', 'merge') pulled in by
    >=kde-base/libksane-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/ksaneplugin-4.3.60', 'merge')

  ('installed', '/', 'kde-base/kdelibs-4.2.96', 'nomerge') pulled in by
    kde-base/kdelibs required by @world                               
    kde-base/kdelibs:4.3 required by @world                           
    >=kde-base/kdelibs-4.2.96:4.3[semantic-desktop,-kdeprefix] required by ('installed', '/', 'kde-base/nepomuk-4.2.96', 'nomerge')
    (and 2 more)                                                                                                                   

  ('installed', '/', 'kde-base/kdnssd-4.2.96', 'nomerge') pulled in by
    kde-base/kdnssd:4.3 required by @world                           

  ('ebuild', '/', 'kde-base/nepomuk-4.3.60', 'merge') pulled in by
    >=kde-base/nepomuk-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/kdeplasma-addons-4.3.60', 'merge')
    >=kde-base/nepomuk-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/gwenview-4.3.60', 'merge')       
    >=kde-base/nepomuk-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/dolphin-4.3.60', 'merge')         
    (and 3 more)                                                                                                     

  ('ebuild', '/', 'kde-base/krdc-4.3.60', 'merge') pulled in by
    kde-base/krdc required by @world                           

  ('installed', '/', 'kde-base/libknotificationitem-4.2.96', 'nomerge') pulled in by
    kde-base/libknotificationitem:4.3 required by @world                           
    >=kde-base/libknotificationitem-4.2.96:4.3[-kdeprefix] required by ('installed', '/', 'kde-base/kdelibs-4.2.96', 'nomerge')

  ('installed', '/', 'kde-base/kdenetwork-filesharing-4.2.96', 'nomerge') pulled in by
    kde-base/kdenetwork-filesharing:4.3 required by @world                           

  ('ebuild', '/', 'kde-base/kdenetwork-filesharing-4.3.60', 'merge') pulled in by
    kde-base/kdenetwork-filesharing required by @world                           

  ('ebuild', '/', 'kde-base/kdepimlibs-4.3.60', 'merge') pulled in by
    >=kde-base/kdepimlibs-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/kaddressbook-4.3.60', 'merge')
    >=kde-base/kdepimlibs-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/plasma-workspace-4.3.60', 'merge')
    >=kde-base/kdepimlibs-4.2 required by ('installed', '/', 'net-p2p/ktorrent-9999', 'nomerge')
    (and 26 more)

  ('installed', '/', 'kde-base/krfb-4.2.96', 'nomerge') pulled in by
    kde-base/krfb required by @world
    kde-base/krfb:4.3 required by @world

  ('installed', '/', 'kde-base/krdc-4.2.96', 'nomerge') pulled in by
    kde-base/krdc:4.3 required by @world
    kde-base/krdc required by @world

  ('ebuild', '/', 'kde-base/kget-4.3.60', 'merge') pulled in by
    kde-base/kget required by @world

  ('ebuild', '/', 'kde-base/kde-l10n-4.3.60', 'merge') pulled in by
    kde-base/kde-l10n required by @world

  ('ebuild', '/', 'kde-base/kdnssd-4.3.60', 'merge') pulled in by
    >=kde-base/kdnssd-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/kcontrol-4.3.60', 'merge')
    kde-base/kdnssd required by @world

  ('ebuild', '/', 'kde-base/libkworkspace-4.3.60', 'merge') pulled in by
    >=kde-base/libkworkspace-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/krunner-4.3.60', 'merge')
    >=kde-base/libkworkspace-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/klipper-4.3.60', 'merge')
    >=kde-base/libkworkspace-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/ksmserver-4.3.60', 'merge')
    (and 5 more)

  ('ebuild', '/', 'kde-base/krfb-4.3.60', 'merge') pulled in by
    kde-base/krfb required by @world

  ('ebuild', '/', 'kde-base/libkexiv2-4.3.60', 'merge') pulled in by
    >=kde-base/libkexiv2-4.2 required by ('installed', '/', 'media-plugins/kipi-plugins-0.4.0', 'nomerge')
    >=kde-base/libkexiv2-4.2 required by ('installed', '/', 'media-gfx/digikam-1.0.0_beta1', 'nomerge')
    >=kde-base/libkexiv2-4.3.60:4.4[-kdeprefix] required by ('ebuild', '/', 'kde-base/kdeplasma-addons-4.3.60', 'merge')

  ('installed', '/', 'kde-base/libksane-4.2.96', 'nomerge') pulled in by
    kde-base/libksane:4.3 required by @world


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


!!! The following installed packages are masked:
- kde-base/automoc-0.9.88 (masked by: package.mask)
For more information, see the MASKED PACKAGES section in the emerge
man page or refer to the Gentoo Handbook.


ehm
some problems... can some gentoo adept explain to me the best way to solve?
Back to top
View user's profile Send private message
kernelOfTruth
Watchman
Watchman


Joined: 20 Dec 2005
Posts: 5709
Location: Vienna, Austria; Germany; hello world :)

PostPosted: Tue Jul 21, 2009 6:12 pm    Post subject: Re: portage-2.2, overlays, overriding eclasses Reply with quote

wired_ wrote:
just a friendly reminder, some errors could be the result of your portage not using the overlay's eclasses (if you're using portage-2.2)

for example, the KDEDIRS issue with KDE 4.3.60 exists because of that

to tell portage to use the kde-testing overlay’s eclasses [if any], create the file:
/etc/portage/repos.conf

with the following content:

Code:
[gentoo]
eclass-overrides = kde


for more information:
Overlays and >=portage-2.2_rc29 – what to do when overlay stuff breaks only for you
Gentoo Bug #265747

edit: scarabeus, you cheater! =]


thanks for that info :)
_________________
https://github.com/kernelOfTruth/ZFS-for-SystemRescueCD
2.6.37.2_plus_v1: BFS, CFS,THP,compaction, zcache or TOI
Hardcore Linux user since 2004 :D
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Wed Jul 22, 2009 10:12 am    Post subject: --- Reply with quote

Emerging (1 of 121) kde-base/libknotificationitem-4.2.98 from kde
* kdelibs-experimental-4.2.98.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
* Unpacking parts of kdelibs-experimental-4.2.98.tar.lzma to /var/tmp/portage/kde-base/libknotificationitem-4.2.98/work ...
mv: невозможно выполнить stat для `kdelibs-experimental-4.2.98/': Нет такого файла или каталога
*
* ERROR: kde-base/libknotificationitem-4.2.98 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 3986: Called kde4-meta_src_unpack
* environment, line 3213: Called kde4-meta_src_extract
* environment, line 3158: Called die
* The specific snippet of code:
* mv ${topdir} ${P} || die "Died while moving \"${topdir}\" to \"${P}\"";
* The die message:
* Died while moving "kdelibs-experimental-4.2.98/" to "libknotificationitem-4.2.98"
Back to top
View user's profile Send private message
surnu
n00b
n00b


Joined: 24 Jan 2007
Posts: 12

PostPosted: Wed Jul 22, 2009 10:34 am    Post subject: Re: --- Reply with quote

kde4-meta.eclass missing case for 4.2.98
4.2.85 | 4.2.90 | 4.2.95 | 4.2.96)
# block for normally packed upstream unstable snapshots
KMTARPARAMS="${KMTARPARAMS} --bzip2" # bz2
postfix="bz2"
;;


bers wrote:
Emerging (1 of 121) kde-base/libknotificationitem-4.2.98 from kde
* kdelibs-experimental-4.2.98.tar.bz2 RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* checking ebuild checksums ;-) ... [ ok ]
* checking auxfile checksums ;-) ... [ ok ]
* checking miscfile checksums ;-) ... [ ok ]
>>> Unpacking source...
* Unpacking parts of kdelibs-experimental-4.2.98.tar.lzma to /var/tmp/portage/kde-base/libknotificationitem-4.2.98/work ...
mv: невозможно выполнить stat для `kdelibs-experimental-4.2.98/': Нет такого файла или каталога
*
* ERROR: kde-base/libknotificationitem-4.2.98 failed.
* Call stack:
* ebuild.sh, line 49: Called src_unpack
* environment, line 3986: Called kde4-meta_src_unpack
* environment, line 3213: Called kde4-meta_src_extract
* environment, line 3158: Called die
* The specific snippet of code:
* mv ${topdir} ${P} || die "Died while moving \"${topdir}\" to \"${P}\"";
* The die message:
* Died while moving "kdelibs-experimental-4.2.98/" to "libknotificationitem-4.2.98"
Back to top
View user's profile Send private message
bers
n00b
n00b


Joined: 28 Nov 2008
Posts: 49

PostPosted: Wed Jul 22, 2009 10:57 am    Post subject: --- Reply with quote

Thnx, fixed.
Back to top
View user's profile Send private message
Krog
Apprentice
Apprentice


Joined: 26 Jun 2007
Posts: 256
Location: Roma, Italy

PostPosted: Wed Jul 22, 2009 12:32 pm    Post subject: Reply with quote

can someone help me?
Back to top
View user's profile Send private message
tranquilcool
Veteran
Veteran


Joined: 25 Mar 2005
Posts: 1044

PostPosted: Wed Jul 22, 2009 3:22 pm    Post subject: Reply with quote

* Running kbuildsycoca4 to build global database ... [ !! ]
* Running kbuildsycoca4 to build global database ... [ !! ]


big trouble. any help?
_________________
this is a strange strange world.
Back to top
View user's profile Send private message
Display posts from previous:   
This topic is locked: you cannot edit posts or make replies.    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4 ... 36, 37, 38  Next
Page 3 of 38

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum